%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedora-motd
%global commit0 962b9ab3936579a531ce31eaac9044dd388bbfcf
%global gittag0 GIT-TAG
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:           fedora-motd
Version:        0.1
Release:        1%{?dist}
Summary:        Fedora MOTD
Group:          Applications/Internet
License:        GPLv3
URL:            http://github.com/rtnpro/fedora-motd
Source0:        https://github.com/rtnpro/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       setup
Requires:       pam
Requires:       crontabs


%description
Generate dynamic MOTD: Message of the day, for Fedora

%prep
%setup -q -n %{name}-%{commit0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.md
%license LICENSE
%{python_sitelib}/dnf-plugins/cache_updateinfo.py*
%{python_sitelib}/motdgen-%{version}-py%{pyver}.egg-info/
%{_sysconfdir}/cron.daily/motdgen-cache-updateinfo
%{_sysconfdir}/pam.d/motdgen
%{_sysconfdir}/motdgen.d
%{_sysconfdir}/profile.d/motdgen.sh
%{_bindir}/motdgen
%{_bindir}/motdgen-cache-updateinfo



%changelog
* Tue Feb 9 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1-1
- Initial packaging.
